Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 234409 - app-misc/mc reports an unknown tag opening rpm files
Summary: app-misc/mc reports an unknown tag opening rpm files
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High minor (vote)
Assignee: Samuli Suominen
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-10 20:36 UTC by Talamona Francesco
Modified: 2009-08-05 11:41 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Talamona Francesco 2008-08-10 20:36:23 UTC
Midnight commander has the ability to read into many file formats, I find it very useful for inspecting rpms, but each time I open one of these a red box appears with the following (two times in the same box):

error: incorrect format: unknown tag
error: incorrect format: unknown tag

After the error message mc reads the file correctly

It seems the problematic tags are COPYRIGHT and SERIAL, the following diff applied to /usr/share/mc/extfs/rpm provides the desired behavior.

aemaeth extfs # diff -u rpm_gentoo rpm
--- rpm_gentoo	2008-08-10 13:16:02.000000000 +0200
+++ rpm	2008-06-28 11:54:00.000000000 +0200
@@ -95,10 +95,6 @@
 	 echo "$FILEPREF 0 $DATE INFO/PACKAGER"
      test "`$RPM -qp --qf \"%{URL}\" \"$f\"`" = "(none)" ||
 	 echo "$FILEPREF 0 $DATE INFO/URL"
-     test "`$RPM -qp --qf \"%{SERIAL}\" \"$f\"`" = "(none)" ||
-	 echo "$FILEPREF 0 $DATE INFO/SERIAL"
-     test "`$RPM -qp --qf \"%{COPYRIGHT}\" \"$f\"`" = "(none)" ||
-	 echo "$FILEPREF 0 $DATE INFO/COPYRIGHT"
      test "`$RPM -qp --qf \"%{EPOCH}\" \"$f\"`" = "(none)" ||
 	 echo "$FILEPREF 0 $DATE INFO/EPOCH"
      test "`$RPM -qp --qf \"%{LICENSE}\" \"$f\"`" = "(none)" ||
@@ -106,8 +102,6 @@
     else
 	 echo "$FILEPREF 0 $DATE INFO/PACKAGER"
 	 echo "$FILEPREF 0 $DATE INFO/URL"
-	 echo "$FILEPREF 0 $DATE INFO/SERIAL"
-	 echo "$FILEPREF 0 $DATE INFO/COPYRIGHT"
 	 echo "$FILEPREF 0 $DATE INFO/EPOCH"
 	 echo "$FILEPREF 0 $DATE INFO/LICENSE"
     fi
@@ -156,8 +150,6 @@
 	INFO/PACKAGER)		$RPM -qp --qf "%{PACKAGER}\n" "$f" > "$3"; exit 0;;
 	INFO/URL)		$RPM -qp --qf "%{URL}\n" "$f" >"$3"; exit 0;;
 	INFO/BUILDTIME)		$RPM -qp --qf "%{BUILDTIME:date}\n" "$f" >"$3"; exit 0;;
-	INFO/SERIAL)		$RPM -qp --qf "%{SERIAL}\n" "$f" >"$3"; exit 0;;
-	INFO/COPYRIGHT)		$RPM -qp --qf "%{COPYRIGHT}\n" "$f" >"$3"; exit 0;;
 	INFO/EPOCH)		$RPM -qp --qf "%{EPOCH}\n" "$f" >"$3"; exit 0;;
 	INFO/LICENSE)		$RPM -qp --qf "%{LICENSE}\n" "$f" >"$3"; exit 0;;
 	INFO/RPMVERSION)	$RPM -qp --qf "%{RPMVERSION}\n" "$f" >"$3"; exit 0;;
Comment 1 Samuli Suominen gentoo-dev 2009-07-18 13:07:04 UTC
Use the "Create a New Attachment" button to attach your patch as an file, not going to copy'n'paste it from here.
Comment 2 Samuli Suominen gentoo-dev 2009-08-02 14:49:57 UTC
Try 4.7.0_pre1, reopen if this is still a issue.
Comment 3 Samuli Suominen gentoo-dev 2009-08-05 10:52:04 UTC
Reopen for correct resolution.
Comment 4 Samuli Suominen gentoo-dev 2009-08-05 10:52:23 UTC
I've checked this one; seems to be fixed with 4.7.0_pre1.